searchNodes=[{"ref":"ExJsonLogger.html","title":"ExJsonLogger","type":"module","doc":"A Logger formatter that converts logs to single line JSON. Logging additional information Use Logger&#39;s metadata to add additional data to the log output. This can be done through Logger.metadata/1 or by passing Keywords to standard Logger calls in the optional second parameter. Logger filters metadata so any additional keys will need to be whitelisted in the backend&#39;s configuration. Usage config :logger, :console, format: {ExJsonLogger, :format}, metadata: [ :request_id, :additional_key ] Currently tested with the :console logger backend."},{"ref":"ExJsonLogger.html#format/4","title":"ExJsonLogger.format/4","type":"function","doc":"Function referenced in the :format config."},{"ref":"ExJsonLogger.Ecto.Logger.html","title":"ExJsonLogger.Ecto.Logger","type":"module","doc":"An Ecto Logger replacement which captures and logs Ecto.LogEntry attributes through metadata. Logger Metadata available: query - the query as string; query_params - the query parameters as string; query_time - the time spent executing the query in milliseconds; decode_time - the time spent decoding the result in milliseconds; queue_time - the time spent to check the connection out in milliseconds; Metadata is filtered by default so keys will need to be whitelisted. Usage Add ExJsonLogger.Ecto.Logger to the Repo&#39;s configuration under the :loggers key. config :sample, Sample.Repo, adapter: Ecto.Adapters.MySQL, username: &quot;root&quot;, password: &quot;&quot;, database: &quot;sample_dev&quot;, hostname: &quot;localhost&quot;, pool_size: 10, loggers: [{ExJsonLogger.Ecto.Logger, :log, []}]"},{"ref":"ExJsonLogger.Ecto.Logger.html#log/2","title":"ExJsonLogger.Ecto.Logger.log/2","type":"function","doc":""},{"ref":"ExJsonLogger.Plug.Logger.html","title":"ExJsonLogger.Plug.Logger","type":"module","doc":"A plug for logging request information through metadata. Logger Metadata avaliable: method - request method path - request path status - request status (integer) duration - time in milliseconds from connection to response (float) format - (phoenix specific) controller - (phoenix specific) action - (phoenix specific) Metadata is filtered by default so keys will need to be whitelisted. Usage To use with a Phoenix application, replace plug Plug.Logger in the projects endpoint.ex file with ExJsonLogger.Plug.Logger: # plug Plug.Logger plug ExJsonLogger.Plug.Logger Options :log - The log level at which this plug should log its request info. Default is :info."},{"ref":"ExJsonLogger.Plug.Logger.html#call/2","title":"ExJsonLogger.Plug.Logger.call/2","type":"function","doc":"Callback implementation for Plug.call/2."},{"ref":"ExJsonLogger.Plug.Logger.html#init/1","title":"ExJsonLogger.Plug.Logger.init/1","type":"function","doc":"Callback implementation for Plug.init/1."},{"ref":"readme.html","title":"ExJsonLogger","type":"extras","doc":"ExJsonLogger A drop-in replacement for :console&#39;s formatter. ExJsonLogger takes standard Logger calls and JSON encodes them. Ecto and Plug loggers are also included."},{"ref":"readme.html#installation","title":"ExJsonLogger - Installation","type":"extras","doc":"Available in Hex, the package can be installed by adding ex_json_logger to your list of dependencies in mix.exs: def deps do [{:ex_json_logger, &quot;~&gt; 1.1.0&quot;}] end config :logger, :console, format: {ExJsonLogger, :format}, metadata: [ :action, :controller, :duration, :format, :method, :path, :request_id, :status ] For additional configuration and metadata option refer to moduledocs"},{"ref":"readme.html#documentation","title":"ExJsonLogger - Documentation","type":"extras","doc":"Documentation is generated with ExDoc and available online at https://hexdocs.pm/ex_json_logger Logger - For more documentation reference ExJsonLogger Plug - For more documentation reference ExJsonLogger.Plug.Logger Ecto - For more documentation reference ExJsonLogger.Ecto.Logger"},{"ref":"readme.html#running-the-tests","title":"ExJsonLogger - Running the tests","type":"extras","doc":"Tests include Linter via Credo Coverage via Excoveralls run tests: script/test run tests with coverage: script/test --coverage"},{"ref":"readme.html#contributing","title":"ExJsonLogger - Contributing","type":"extras","doc":"If you modify code, add a corresponding test and documentation(if applicable). Create a Pull Request (please squash to one concise commit). Thanks!"},{"ref":"readme.html#license","title":"ExJsonLogger - License","type":"extras","doc":"MIT"}]